'From Squeak3.2gamma of 15 January 2002 [latest update: #4743] on 13 March 2002 at 1:50:31 am'!

!Browser methodsFor: 'class functions' stamp: 'minami 3/13/2002 01:46'!
browseDefinitionVersions
	self selectedClassOrMetaClass isNil
		ifFalse: [ClassDefinitionVersionsBrowser fullOnClass: self selectedClassOrMetaClass]! !

!Browser methodsFor: 'class functions' stamp: 'minami 3/13/2002 01:35'!
classListMenu: aMenu shifted: shifted
	"Set up the menu to apply to the receiver's class list, honoring the #shifted boolean"

	shifted
		ifTrue:
			[^ self shiftedClassListMenu: aMenu].
	aMenu addList: #(
		-
		('browse full (b)'			browseMethodFull)
		('browse hierarchy (h)'		spawnHierarchy)
		('browse protocol (p)'		browseFullProtocol)
		-
		('printOut'					printOutClass)
		('fileOut'					fileOutClass)
		-
		('show hierarchy'			hierarchy)
		('show definition'			editClass)
		('show comment'			editComment)
		-
		('inst var refs...'			browseInstVarRefs)
		('inst var defs...'			browseInstVarDefs)
		-
		('class var refs...'			browseClassVarRefs)
		('class vars'					browseClassVariables)
		('class refs (N)'				browseClassRefs)
		-
		('versions'					browseDefinitionVersions)
		-
		('rename class ...'			renameClass)
		('copy class'				copyClass)
		('remove class (x)'			removeClass)
		-
		('find method...'				findMethod)
		-
		('more...'					offerShiftedClassListMenu)).
	^ aMenu! !

